Package org.eclipse.rdf4j.query

## Class QueryEvaluationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.rdf4j.common.exception.RDF4JException
        - - org.eclipse.rdf4j.query.QueryEvaluationException

- All Implemented Interfaces:
    `Serializable`
  Direct Known Subclasses:
    `HTTPQueryEvaluationException`, `QueryInterruptedException`, `ValueExprEvaluationException`

      public class QueryEvaluationException
      extends RDF4JException

  An exception indicating that the evaluation of a query failed.
  Author:
    Arjohn Kampman
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `QueryEvaluationException()` |
    `QueryEvaluationException​(String msg)` | Creates a new TupleQueryResultHandlerException.
    `QueryEvaluationException​(String msg, Throwable cause)` | Creates a new TupleQueryResultHandlerException wrapping another exception.
    `QueryEvaluationException​(Throwable cause)` | Creates a new TupleQueryResultHandlerException wrapping another exception.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### QueryEvaluationException

          public QueryEvaluationException()

    - #### QueryEvaluationException

          public QueryEvaluationException​(String msg)

      Creates a new TupleQueryResultHandlerException.
      Parameters:
        `msg` - An error message.

    - #### QueryEvaluationException

          public QueryEvaluationException​(Throwable cause)

      Creates a new TupleQueryResultHandlerException wrapping another exception.
      Parameters:
        `cause` - The cause of the exception.

    - #### QueryEvaluationException

          public QueryEvaluationException​(String msg,
                                          Throwable cause)

      Creates a new TupleQueryResultHandlerException wrapping another exception.
      Parameters:
        `msg` - An error message.
        `cause` - The cause of the exception.